Subject: [Hipsec] Revised Charter

From: Robert Moskowitz <[email-masked]>
Date: Tue, 08 Dec 2009 11:26:21 -0500

Here is my crack at a new charter:

The Host Identity Protocol (HIP) provides a method of separating the
end-point identifier and locator roles of IP addresses. It introduces
a new Host Identity (HI) name space, based on public keys. The public
keys are typically, but not necessarily, self generated.

The experimental specifications for the architecture and protocol details
for these mechanisms consist of:

HIP Architecture (RFC 4423)
Host Identity Protocol (RFC 5201)

The purpose of this Working Group is to take the lessons learned from
the HIP experimental protocol and develop a Standards Track specification
for HIP.

o A report from the 3 implementations covering:

    Interop issues.
    Usages (experimental and production)
    Lessons learned: what is missing

o Update RFCs 4423 and 5201-6 based on what we know now and issues raised.

o If necessary, update the NAT traversal RFC (tbd).

o If necessary, update the native HIP socket API RFC (tbd).

o Specify a framework to build HIP-based overlays. This framework will
describe how HIP can perform some of the tasks needed to build an
overlay and how technologies developed somewhere else (e.g., a peer
protocol developed in the P2PSIP WG) can complement HIP by performing
the tasks HIP was not designed to perform.

o Specify how to generate ORCHIDs from other node identifiers
including both cryptographic ones (leading to cryptographic
delegation) and non-cryptographic ones (e.g., identifiers defined by a
peer protocol).

o Specify how to carry certificates in the base exchange. This was
removed from the base HIP spec so that the mechanism is specified in a
stand-alone spec.

o Specify how to carry upper-layer data over specified HIP
packets. These include some of the existing HIP packets and possibly
new HIP packets (e.g., a HIP packet that occurs outside a HIP base
exchange).

============================================

Just some edits on the current charter.....

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 8 Dec 2009 10:27:21 -0800

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Robert Moskowitz
> Sent: Tuesday, December 08, 2009 8:26 AM
> To: HIP
> Subject: [Hipsec] Revised Charter
>

^^
suggest to also add RFC4843 and 5202-06 to the list above, and also draft-ietf-hip-nat-traversal (in RFC Ed Queue).

> the HIP experimental protocol and develop a Standards Track
                                              ^^^^
Can we specify "Draft Standard" here?  Or are people planning "Proposed Standard"?

> specification

Is the above report the one that is required to submit to the Area Director to achieve Draft Standard status?

Please note that we have a significant amount of general experience with HIP documented in the RG Experiment Report (which we are aiming to finalize during the current meeting cycle) but it is not formatted according to RFC2026 outline for what is needed to go to Draft Standard (i.e. specific interop report).

http://tools.ietf.org/html/draft-irtf-hip-experiment-06